# std::allocator_traits::deallocate

From cppreference.com
< cpp‎ | memory‎ | allocator traits

Defined in header `<memory>` |  |
static void deallocate( Alloc& a, pointer p, size_type n ); |  | (since C++11)

Uses the allocator `a` to deallocate the storage referenced by `p`, by calling a.deallocate(p, n)

### Parameters

a | - | allocator to use
p | - | pointer to the previously allocated storage
n | - | the number of objects the storage was allocated for

### Return value

(none)

### See also

allocate [static] | allocates uninitialized storage using the allocator (public static member function)
deallocate | deallocates storage (public member function of `std::allocator`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/allocator_traits/deallocate&oldid=62768"